Subject: Re: [PATCH] t1517: more coverage for commands that work without repository

From: Junio C Hamano <[email-masked]>
Date: Fri, 31 May 2024 07:57:47 -0700

Patrick Steinhardt <[email-masked]> writes:

> On Thu, May 30, 2024 at 09:58:46AM -0700, Junio C Hamano wrote:
> [snip]
>> +test_expect_success 'stripspace outside repository' '
>> +	nongit git stripspace -s </dev/null
>> +'
>
> I was wondering whether we also want to verify that it does the correct
> thing here as it's comparatively easy:
> ...
> For the other tests it's a bit more involved. And given that these are
> all designed as smoke tests, I think it's fine overall.

Yup, as I said in the proposed log message, we may want to update
them to actually do something useful later, but this would at least
help us catch regressions by mistake.